program rbt_oddface_simple;

{$mode objfpc}{$H+}
{$define UseCThreads}

uses
{$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  baseunix,
{$ENDIF}{$ENDIF}
  ssl_openssl_lib,
  ssl_openssl,
  sysutils,
  uoddface_simple;

var
  rbt: TRBT_OddFace_Simple;

begin
  if not IsSSLloaded then
  begin
    writeln( 'Lo siento, no fue posible cargar las librerías OpenSSL' );
    exit;
  end;
  rbt:= TRBT_OddFace_Simple.Create;

  (**
  if not rbt.ProcesarOrden then
    rbt.Ayuda;
     ***)
  while true do
  begin
    rbt.orden_run;
    sleep( 1000 * 60 * 3 );
  end;

  rbt.Free;
end.
